]> git.donarmstrong.com Git - lilypond.git/blobdiff - stepmake/configure
* stepmake/bin/install-sh: Include latest from libtool.
[lilypond.git] / stepmake / configure
index 3414e05b34b3a0880476dee23cbd8de135201004..eb3b58d45d74742eab59fc1d974339c8fe20f157 100755 (executable)
@@ -1,58 +1,5 @@
 #! /bin/sh
 
-ac_help="$ac_help
-  --with-gtkmm-prefix=PREFIX
-                          Prefix where GTK-- is installed (optional)"
-# Check whether --with-gtkmm-prefix or --without-gtkmm-prefix was given.
-if test "${with_gtkmm_prefix+set}" = set; then
-  withval="$with_gtkmm_prefix"
-  gtkmm_config_prefix="$withval"
-else
-  gtkmm_config_prefix=""
-fi
-
-ac_help="$ac_help
-  --with-gtkmm-exec-prefix=PREFIX
-                          Exec prefix where GTK-- is installed (optional)"
-# Check whether --with-gtkmm-exec-prefix or --without-gtkmm-exec-prefix was given.
-if test "${with_gtkmm_exec_prefix+set}" = set; then
-  withval="$with_gtkmm_exec_prefix"
-  gtkmm_config_exec_prefix="$withval"
-else
-  gtkmm_config_exec_prefix=""
-fi
-
-ac_help="$ac_help
-  --disable-gtkmmtest     Do not try to compile and run a test GTK-- program"
-# Check whether --enable-gtkmmtest or --disable-gtkmmtest was given.
-if test "${enable_gtkmmtest+set}" = set; then
-  enableval="$enable_gtkmmtest"
-  :
-else
-  enable_gtkmmtest=yes
-fi
-
-
-  if test x$gtkmm_config_exec_prefix != x ; then
-     gtkmm_config_args="$gtkmm_config_args --exec-prefix=$gtkmm_config_exec_prefix"
-     if test x${GTKMM_CONFIG+set} != xset ; then
-        GTKMM_CONFIG=$gtkmm_config_exec_prefix/bin/gtkmm-config
-     fi
-  fi
-  if test x$gtkmm_config_prefix != x ; then
-     gtkmm_config_args="$gtkmm_config_args --prefix=$gtkmm_config_prefix"
-     if test x${GTKMM_CONFIG+set} != xset ; then
-        GTKMM_CONFIG=$gtkmm_config_prefix/bin/gtkmm-config
-     fi
-  fi
-
-
-
-
-# Configure paths for GTK--DRAW
-# Derek Quinn Wyatt   98-08-21  (adapted from Jan Nieuwenhuizen's code)
-
-
 # Guess values for system-dependent variables and create Makefiles.
 # Generated automatically using autoconf version 2.13 
 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
@@ -65,11 +12,13 @@ ac_help=
 ac_default_prefix=/usr/local
 # Any additions from configure.in:
 ac_help="$ac_help
-  enable-config=FILE      put configure settings in config-FILE.make"
+  --enable-config=CONF    put settings in config-CONF.make and config-CONF.h;
+                            do \`make conf=CONF' to get output in ./out-CONF"
 ac_help="$ac_help
-  with-localedir=LOCALE   use LOCALE as locale dir. Default: PREFIX/share/locale "
+  --with-localedir=LOCALE use LOCALE as locale dir.  Default:
+                            PREFIX/share/locale "
 ac_help="$ac_help
-  with-lang=LANG          use LANG as language to emit messages"
+  --with-lang=LANG        use LANG as language to emit messages"
 
 # Initialize some variables set by options.
 # The variables have the same names as the options, with
@@ -613,26 +562,23 @@ fi
     fi
 
     echo $ac_n "checking Package""... $ac_c" 1>&6
-echo "configure:617: checking Package" >&5
+echo "configure:566: checking Package" >&5
     if test "x$PACKAGE" = "xSTEPMAKE"; then
        echo "$ac_t""Stepmake package!" 1>&6
 
-       #if test "x$builddir" != "x"; then
-       #    builddir="../$builddir"
-       #else
-       #    builddir=..
-       #fi
-       if test "$srcdir" != "."; then
+       echo $ac_n "checking builddir""... $ac_c" 1>&6
+echo "configure:571: checking builddir" >&5
+       if test "$srcdir" = "."; then
+           builddir=.
+       else
            absolute_builddir="`pwd`"
            package_absolute_builddir="`dirname $absolute_builddir`"
            package_srcdir="`dirname  $srcdir`"
            builddir="`dirname $package_srcdir`/`basename $package_absolute_builddir`/`basename $absolute_builddir`"
-       else
-           builddir=.
        fi
+       echo "$ac_t""$builddir" 1>&6
 
        (cd stepmake 2>/dev/null || mkdir stepmake)
-       (cd stepmake; rm -f stepmake; ln -s ../$srcdir/stepmake .)
        (cd stepmake; rm -f bin; ln -s ../$srcdir/bin .)
        ac_aux_dir=
 for ac_dir in bin $srcdir/bin; do
@@ -657,22 +603,40 @@ ac_configure=$ac_aux_dir/configure # This should be Cygnus configure.
     else
         echo "$ac_t""$PACKAGE" 1>&6
 
-       if test "$srcdir" != "."; then
-           absolute_builddir="`pwd`"
-           builddir="`dirname  $srcdir`/`basename $absolute_builddir`"
-       else
+       echo $ac_n "checking builddir""... $ac_c" 1>&6
+echo "configure:608: checking builddir" >&5
+       if test "$srcdir" = "."; then
            builddir=.
+           srcdir_build=no
+       else
+           absolute_builddir="`pwd`"
+#          builddir="`dirname  $srcdir`/`basename $absolute_builddir`"
+           builddir="`bash $srcdir/buildscripts/walk.sh \"$srcdir\"`"
+           srcdir_build=yes
+       fi
+       echo "$ac_t""$builddir" 1>&6
+       if expr "$srcdir" : '/' > /dev/null 2>&1; then
+           absolute_srcdir=yes
+           
+    echo "configure: warning: Absolute --srcdir specified: $srcdir" 1>&2
+    warn_b=yes
+
        fi
 
        echo $ac_n "checking for stepmake""... $ac_c" 1>&6
-echo "configure:669: checking for stepmake" >&5
+echo "configure:628: checking for stepmake" >&5
        # Check for installed stepmake
        if test -d $stepmake; then
            echo "$ac_t""$stepmake" 1>&6
        else
-           stepmake='$(depth)'/$srcdir/stepmake
+           if test "$absolute_srcdir" != "yes"; then
+               stepmake='$(depth)'/$srcdir/stepmake
+           else
+               stepmake=$srcdir/stepmake
+           fi
            echo "$ac_t""$srcdir/stepmake  ($datadir/stepmake not found)" 1>&6
        fi
+
        ac_aux_dir=
 for ac_dir in \
          $HOME/usr/local/share/stepmake/bin\
@@ -767,10 +731,13 @@ EOF
     # Check whether --enable-config or --disable-config was given.
 if test "${enable_config+set}" = set; then
   enableval="$enable_config"
-  CONFIGSUFFIX=-$enableval
+  CONFIGURATION=$enableval
 fi
 
 
+    ##'
+
+    test -n "$CONFIGURATION" && CONFIGSUFFIX="-$CONFIGURATION"
     CONFIGFILE=config$CONFIGSUFFIX
     
      
@@ -781,7 +748,7 @@ else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
 fi
 
 echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:785: checking host system type" >&5
+echo "configure:752: checking host system type" >&5
 
 host_alias=$host
 case "$host_alias" in
@@ -801,12 +768,13 @@ host_vendor=`echo $host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
 host_os=`echo $host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
 echo "$ac_t""$host" 1>&6
 
+    
     for ac_prog in gmake make
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:810: checking for $ac_word" >&5
+echo "configure:778: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_MAKE'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -834,14 +802,43 @@ fi
 
 test -n "$MAKE" && break
 done
-test -n "$MAKE" || MAKE="error"
+test -n "$MAKE" || MAKE="no"
+
+    
+    #if test "`eval echo '$'"MAKE"`" = "no"; then
+    
+    r="`eval echo '$'"MAKE"`"
+    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && ! expr '`eval echo '$'"MAKE"`' : '.*\(echo\)' > /dev/null; then
+       ##STEPMAKE_WARN(cannot find . )
+       false
+    else
+       true
+    fi
+
+    if test $? -ne 0; then
+       
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"gmake make\"`\"
 
+       if test "REQUIRED" = "REQUIRED"; then
+           command="echo ERROR: gmake make not found"
+           # abort configure process here?
+       else
+           command="- echo gmake make not found"
+       fi
+       eval "MAKE"='$command'
+       false
+    else
+       true
+    fi
+
+
+    
     for ac_prog in find
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:845: checking for $ac_word" >&5
+echo "configure:842: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_FIND'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -869,16 +866,44 @@ fi
 
 test -n "$FIND" && break
 done
-test -n "$FIND" || FIND="error"
+test -n "$FIND" || FIND="no"
+
+    
+    #if test "`eval echo '$'"FIND"`" = "no"; then
+    
+    r="`eval echo '$'"FIND"`"
+    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && ! expr '`eval echo '$'"FIND"`' : '.*\(echo\)' > /dev/null; then
+       ##STEPMAKE_WARN(cannot find . )
+       false
+    else
+       true
+    fi
 
+    if test $? -ne 0; then
+       
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"find\"`\"
 
+       if test "REQUIRED" = "REQUIRED"; then
+           command="echo ERROR: find not found"
+           # abort configure process here?
+       else
+           command="- echo find not found"
+       fi
+       eval "FIND"='$command'
+       false
+    else
+       true
+    fi
 
+
+
+    
     for ac_prog in tar
 do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:882: checking for $ac_word" >&5
+echo "configure:907: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_TAR'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -906,14 +931,42 @@ fi
 
 test -n "$TAR" && break
 done
-test -n "$TAR" || TAR="error"
+test -n "$TAR" || TAR="no"
+
+    
+    #if test "`eval echo '$'"TAR"`" = "no"; then
+    
+    r="`eval echo '$'"TAR"`"
+    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && ! expr '`eval echo '$'"TAR"`' : '.*\(echo\)' > /dev/null; then
+       ##STEPMAKE_WARN(cannot find . )
+       false
+    else
+       true
+    fi
+
+    if test $? -ne 0; then
+       
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"tar\"`\"
+
+       if test "REQUIRED" = "REQUIRED"; then
+           command="echo ERROR: tar not found"
+           # abort configure process here?
+       else
+           command="- echo tar not found"
+       fi
+       eval "TAR"='$command'
+       false
+    else
+       true
+    fi
+
 
 
     if test "x`uname`" = "xHP-UX"; then
        # Extract the first word of "bash", so it can be a program name with args.
 set dummy bash; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:917: checking for $ac_word" >&5
+echo "configure:970: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_BASH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -953,7 +1006,7 @@ fi
        # Extract the first word of "bash", so it can be a program name with args.
 set dummy bash; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:957: checking for $ac_word" >&5
+echo "configure:1010: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_SHELL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -990,7 +1043,7 @@ fi
        # Extract the first word of "bash", so it can be a program name with args.
 set dummy bash; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:994: checking for $ac_word" >&5
+echo "configure:1047: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_BASH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1027,11 +1080,75 @@ fi
        
     fi
 
+    
+    for ac_prog in python
+do
+# Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+echo "configure:1090: checking for $ac_word" >&5
+if eval "test \"`echo '$''{'ac_cv_prog_PYTHON'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  if test -n "$PYTHON"; then
+  ac_cv_prog_PYTHON="$PYTHON" # Let the user override the test.
+else
+  IFS="${IFS=  }"; ac_save_ifs="$IFS"; IFS=":"
+  ac_dummy="$PATH"
+  for ac_dir in $ac_dummy; do
+    test -z "$ac_dir" && ac_dir=.
+    if test -f $ac_dir/$ac_word; then
+      ac_cv_prog_PYTHON="$ac_prog"
+      break
+    fi
+  done
+  IFS="$ac_save_ifs"
+fi
+fi
+PYTHON="$ac_cv_prog_PYTHON"
+if test -n "$PYTHON"; then
+  echo "$ac_t""$PYTHON" 1>&6
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+test -n "$PYTHON" && break
+done
+test -n "$PYTHON" || PYTHON="no"
+
+    
+    #if test "`eval echo '$'"PYTHON"`" = "no"; then
+    
+    r="`eval echo '$'"PYTHON"`"
+    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && ! expr '`eval echo '$'"PYTHON"`' : '.*\(echo\)' > /dev/null; then
+       ##STEPMAKE_WARN(cannot find . )
+       false
+    else
+       true
+    fi
+
+    if test $? -ne 0; then
+       
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"python\"`\"
 
-    # Extract the first word of "${PYTHON:-python}", so it can be a program name with args.
-set dummy ${PYTHON:-python}; ac_word=$2
+       if test "REQUIRED" = "REQUIRED"; then
+           command="echo ERROR: python not found"
+           # abort configure process here?
+       else
+           command="- echo python not found"
+       fi
+       eval "PYTHON"='$command'
+       false
+    else
+       true
+    fi
+
+#    if ! expr '`eval echo '$'"PYTHON"`' : '.*\(echo\)' > /dev/null; then
+    if test $? -ne 0; then
+       # Extract the first word of "python", so it can be a program name with args.
+set dummy python; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1035: checking for $ac_word" >&5
+echo "configure:1152: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_PYTHON'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1053,7 +1170,6 @@ else
     fi
   done
   IFS="$ac_save_ifs"
-  test -z "$ac_cv_path_PYTHON" && ac_cv_path_PYTHON="-echo no python"
   ;;
 esac
 fi
@@ -1064,61 +1180,34 @@ else
   echo "$ac_t""no" 1>&6
 fi
 
-    
+    fi
 
-    if test $MAKE != "error" ; then
-       $MAKE -v 2> /dev/null | grep GNU > /dev/null
-       if test "$?" = 1
-       then
-               
-    echo "configure: warning: Please install *GNU* make" 1>&2
-    warn_b=yes
-       fi
-    fi 
 
-    
-       result="`echo \"$PYTHON\" | grep echo`"
-       if test "x$PYTHON" = "xerror" -o "x$result" != "x"; then
-               
-    echo "configure: warning: can\'t find python. You should install Python" 1>&2
+    if expr "$MAKE" : '.*\(echo\)' >/dev/null; then
+       $MAKE -v 2> /dev/null | grep GNU > /dev/null
+       if test "$?" = 1; then
+           warn='make (Please install *GNU* make)'
+           
+    echo "configure: warning: $warn" 1>&2
     warn_b=yes
 
-       fi
+           
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \"$warn\"`\"
 
+        fi
+    fi 
 
-    if test "x$OSTYPE" = "xcygwin32" || test "x$OSTYPE" = "xWindows_NT"; then
+    if test "$OSTYPE" = "cygwin" -o "$OSTYPE" = "Windows_NT"; then
        LN=cp # hard link does not work under cygnus-nt
        LN_S='cp -r' # symbolic link does not work for native nt
        ZIP="zip -r -9" #
        program_suffix=.exe
-       # urg
-        # DIRSEP='\\'
-       # PATHSEP=';'
-       #
-       # cygwin fixes all these things.  
-       # it seems these were used because of dos-style TEXINPUTS and
-       # MFINPUTS needed for miktex.
-       # but this breaks parsing of all other cygwin/unix style paths.
-       #
-       # if your (mik)tex breaks, make a:
-       #    /usr/local/bin/tex:
-       #    #!/bin/sh
-       #    TEXINPUTS=`cygpath -pw $TEXINPUTS` /texmf/miktex/bin/tex 
-       #
-       # and
-       #
-       #    /usr/local/bin/mf:
-       #    #!/bin/sh
-       #    MFINPUTS=`cygpath -pw $MFINPUTS` /texmf/miktex/bin/mf 
-       #
-       # this way, you may have buildscripts/out/lilypond-profile 
-       # 'automatically' sourced from /usr/etc/profile.d/ too.
-       #
+       ROOTSEP=':'
         DIRSEP='/'
        PATHSEP=':'
        INSTALL="\$(SHELL) \$(stepdir)/../bin/install-dot-exe.sh -c"
     else
+       ROOTSEP=':'
        DIRSEP='/'
        PATHSEP=':'
        LN=ln
@@ -1153,8 +1242,11 @@ EOF
            presome=${ac_default_prefix}
     fi
     DIR_DATADIR=`echo ${DIR_DATADIR} | sed "s!\\\${prefix}!$presome!"`
+
+    
     
     
+                        
     cat >> confdefs.h <<EOF
 #define DIR_DATADIR "${DIR_DATADIR}"
 EOF
@@ -1166,14 +1258,14 @@ EOF
 # AC_CONFIG_SUBDIRS(stepmake)
 
 # Uncomment the configuration options your package needs.
-# AC_STEPMAKE_COMPILE
+# STEPMAKE_COMPILE
 # AC_HAVE_HEADERS(limits.h malloc.h string.h unistd.h values.h)
-# AC_STEPMAKE_CXX
-# AC_STEPMAKE_GXX
-# AC_STEPMAKE_CXXTEMPLATE
-# AC_STEPMAKE_LEXYACC
-# AC_STEPMAKE_LIB
-# AC_STEPMAKE_LIBTOOL
+# STEPMAKE_CXX
+# STEPMAKE_GXX
+# STEPMAKE_CXXTEMPLATE
+# STEPMAKE_LEXYACC
+# STEPMAKE_LIB
+# STEPMAKE_LIBTOOL
 
     lang=English
     ALL_LINGUAS="en nl"
@@ -1198,7 +1290,7 @@ fi
 
 
     echo $ac_n "checking language""... $ac_c" 1>&6
-echo "configure:1202: checking language" >&5    
+echo "configure:1294: checking language" >&5    
     case "$language" in
       En* | en* | Am* | am* | US* | us*)
            lang=English;;
@@ -1219,11 +1311,11 @@ echo "configure:1202: checking language" >&5
     fi
 
 
-# AC_STEPMAKE_GETTEXT
-# AC_STEPMAKE_MAN
-# AC_STEPMAKE_MSGFMT
-# AC_STEPMAKE_TEXMF
-# AC_STEPMAKE_TEXMF_DIRS
+# STEPMAKE_GETTEXT
+# STEPMAKE_MAN
+# STEPMAKE_MSGFMT
+# STEPMAKE_TEXMF
+# STEPMAKE_TEXMF_DIRS
 
 # AM_PATH_GTK(1.0.0,,AC_MSG_ERROR([please install proper version of gtk]))
 # AM_PATH_GTK__(0.9.4,,AC_MSG_ERROR([please install proper version of gtk--]))
@@ -1233,7 +1325,7 @@ do
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1237: checking for $ac_word" >&5
+echo "configure:1329: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_MAKEINFO'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1265,6 +1357,9 @@ test -n "$MAKEINFO" || MAKEINFO="error"
 
 
 
+    
+    
+    
     trap '' 1 2 15
 cat > confcache <<\EOF
 # This file is a shell script that caches the results of configure
@@ -1425,6 +1520,8 @@ s%@PATHSEP@%$PATHSEP%g
 s%@DIRSEP@%$DIRSEP%g
 s%@DIR_DATADIR@%$DIR_DATADIR%g
 s%@MAKEINFO@%$MAKEINFO%g
+s%@OPTIONAL@%$OPTIONAL%g
+s%@REQUIRED@%$REQUIRED%g
 
 CEOF
 EOF
@@ -1640,10 +1737,35 @@ rm -fr confdefs* $ac_clean_files
 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
 
 
-    rm -f $srcdir/GNUmakefile
-    cp $srcdir/make/toplevel.make.in $srcdir/GNUmakefile
-    chmod 444 $srcdir/GNUmakefile
-    if test "$builddir" != "."; then
+    
+    if test -n "$OPTIONAL"; then
+       echo
+        echo "WARNING: Please consider installing optional programs: $OPTIONAL"
+    fi
+
+    if test -n "$REQUIRED"; then
+       echo
+        echo "ERROR: Please install required programs: $REQUIRED"
+    fi
+    
+    if test -n "$OPTIONAL$REQUIRED"; then
+       echo
+       echo "See INSTALL.txt for more information on how to build $PACKAGE_NAME"
+       echo "Remove config.cache before rerunning ./configure"
+    fi
+    
+    if test -n "$REQUIRED"; then
+       rm -f $srcdir/GNUmakefile
+        exit 1
+    fi
+
+    # regular in-place build
+    # test for srcdir_build = yes ?
+    if test "$builddir" = "."; then
+       rm -f $srcdir/GNUmakefile
+       cp $srcdir/GNUmakefile.in $srcdir/GNUmakefile
+       chmod 444 $srcdir/GNUmakefile
+    else # --srcdir build
         rm -f GNUmakefile
        cp $srcdir/make/srcdir.make.in GNUmakefile
        chmod 444 GNUmakefile